package com.huiju.miniapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MiniappConfiger implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "appid", type=IdType.INPUT)
    private String appid;

    private String appname;

    private String secret;

    private String token;

    private String aesKey;

    private String msgDataFormat;

    private Integer state;

    private String callbackUrl;

    private LocalDateTime createDate;
}
