package com.huiju.miniapp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.miniapp.entity.SystemConfiger;
import com.huiju.miniapp.mapper.SystemConfigerMapper;
import com.huiju.miniapp.service.ISystemConfigerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-06-05
 */
@Service
public class SystemConfigerServiceImpl extends ServiceImpl<SystemConfigerMapper, SystemConfiger> implements ISystemConfigerService {
    @Autowired
    SystemConfigerMapper systemConfigerMapper;

    @Override
    public SystemConfiger getByUser(String user) {
        QueryWrapper<SystemConfiger> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("user", user);

        return systemConfigerMapper.selectOne(queryWrapper);
    }
}
