package com.huiju.miniapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SystemConfiger implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type=IdType.AUTO)
    private String id;

    @TableField("`user`")
    private String user;

    private String userName;

    @TableField("`password`")
    private String password;

    private String ApiUrl;
}
